HELP_VIEWER(1)

NAME
help_viewer - SunView application providing help with applications and desktop

SYNOPSIS
/usr/lib/help_viewer [ -A time ] [ -dir dirname ] [ filename [ # ] ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

help_viewer accesses help documentation about SunView applications and the SunView Desktop. This help consists of intermixed text and graphics This help consists of intermixed text and graphics displayed in a window called the Help Viewer.

You start and control help_viewer by one of these methods:

•   Typing help_viewer at a shell prompt.

•   Clicking on the More Help button in a Spot Help window.

•   Sending instructions to the Help Viewer using the help_open command.

filename is the name of startup file relative to help directory (or /vol/help by default, as set in the Help category of defaultsedit). # is a page number separated from the filename by a SPACE. If # is omitted, the first page is shown.

The documentation within help_viewer is extensible, but as shipped it includes handbooks for the Desktop, mailtool(1), shelltool(1), textedit(1), sunview(1), organizer(1), dos(1), coloredit(1), snap(1), and itself (help_viewer).

Developers and users can include additional handbooks by modifying /vol/help/format/Top_Level. See help_viewer(5).

The user moves between the various pages of help with the assistance of hypertext links. Links are connections between pages of text. The convention is to use underlined text to indicate the presence of a link. When the user double-clicks on a link, the text associated with the topic indicated by the link is shown in the Help Viewer. There are links in many places to make it quick and easy to go from place to place within the help_viewer database.

Many help topics contain more than one page of text. In these cases, links to the next page and to the previous page are available at the upper-right corner of the Help Viewer, allowing the user to page through the document.

The user's current position within the hierarchy of text is indicated by the links at the upper-left corner of the Help Viewer. The last link in the list is the level just above the user's current position.

OPTIONS

The standard SunView options for window size, position, fonts, and other options are accepted. But note that the font setting only affects the font in the Help Viewer namestripe. Also, Help Viewer text does not wrap as a window is resized. See sunview(1) for details.

-A time
    Sets autoclose for time minutes. If the help window is not used for time minutes, it closes automatically.

-dir dirname
    Name of the help directory

FILES
/vol/help
    automount point of miscellaneous help files

The files in /usr/lib/help are used by the help and the help_viewer facilities, and the SCCS sccs-help(1) facility.

Directories within /usr/lib/help named after SunView applications and the Desktop contain specific information used by help_viewer. See help_viewer(5) for information about the files in these directories.

SEE ALSO
sccs-help(1), mailtool(1), shelltool(1), textedit(1), help_open(1), help_viewer(5)

Sun386i User's Guide

Sun386i Developer's Guide

DIAGNOSTICS
help_viewer(1) displays a pop-up error window if it cannot find the file required to show the requested help.